Page MenuHomePhabricator

Enable IPv6 on wikitech.wikimedia.org
Closed, ResolvedPublic

Description

Enable IPv6 on wikitech.wikimedia.org (cf. also T37947 and T68996).

Details

Reference
bz71218

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:51 AM
bzimport added projects: Cloud-VPS, IPv6, acl*sre-team.
bzimport set Reference to bz71218.
bzimport added a subscriber: Unknown Object (MLST).

(In reply to wp mirror from comment #0)

(shell)$ dig lists.wikimedia.org [lists.wikimedia.org] AAAA

I don't understand this syntax. What is the second "lists.wikimedia.org" on that line?

(In reply to jeremyb from comment #1)

(In reply to wp mirror from comment #0)

(shell)$ dig lists.wikimedia.org [lists.wikimedia.org] AAAA

I don't understand this syntax. What is the second "lists.wikimedia.org" on
that line?

The "[lists.wikimedia.org]" string does not belong. It was generated somehow, perhaps by the browser. It seems that some softwares make an attempt to recognize an URL and repeat it in square brackets. I see this sometimes in e-mails. Sorry for the confusion.

(In reply to wp mirror from comment #2)

ok, great. now we just need bugzilla to allow editing your own comments :-)

scfc updated the task description. (Show Details)May 6 2015, 5:10 PM
scfc set Security to None.

Change 214430 had a related patch set uploaded (by Dzahn):
add IPv6 for silver (wikitech web)

https://gerrit.wikimedia.org/r/214430

Change 214489 had a related patch set uploaded (by Dzahn):
add AAAA record for silver.wikimedia.org

https://gerrit.wikimedia.org/r/214489

Change 214430 merged by Dzahn:
add IPv6 for silver (wikitech web)

https://gerrit.wikimedia.org/r/214430

Dzahn claimed this task.Jun 5 2015, 1:36 AM
Dzahn added a comment.Jun 5 2015, 1:38 AM
pre-up /sbin/ip token set ::208:80:154:136 dev eth0

+ up ip addr add 2620:0:861:2:208:80:154:136/64 dev eth0

Notice: /Stage[main]/Main/Node[silver.wikimedia.org]/Interface::Add_ip6_mapped[main]/Interface::Ip[main]/Augeas[eth0_2620:0:861:2:208:80:154:136/64]/returns: executed successfully


2: eth0: ...
inet6 2620:0:861:2:208:80:154:136/64 scope global dynamic

Change 214489 merged by Dzahn:
add AAAA record for silver.wikimedia.org

https://gerrit.wikimedia.org/r/214489

Dzahn added a comment.Jun 5 2015, 1:49 AM

silver.wikimedia.org has address 208.80.154.136
silver.wikimedia.org has IPv6 address 2620:0:861:2:208:80:154:136


;; ANSWER SECTION:
silver.wikimedia.org. 3600 IN AAAA 2620:0:861:2:208:80:154:136

;; ADDITIONAL SECTION:
silver.wikimedia.org. 3600 IN A 208.80.154.136


[radon:~] $ ping6 silver.wikimedia.org
PING silver.wikimedia.org(silver.wikimedia.org) 56 data bytes
64 bytes from silver.wikimedia.org: icmp_seq=1 ttl=63 time=0.232 ms

Change 216021 had a related patch set uploaded (by Dzahn):
wikitech: make it a CNAME for silver

https://gerrit.wikimedia.org/r/216021

Dzahn added a comment.Jun 5 2015, 2:26 AM

silver has an IPv6 address on eth0 now and also the AAAA record in DNS.

that would have resolved it if wikitech was a CNAME for silver as originally expected, but it uses an A record instead, therefore the extra patch above

Change 216021 merged by Andrew Bogott:
wikitech: make it a CNAME for silver

https://gerrit.wikimedia.org/r/216021

Let us test this from an IPv6 only network:

(shell) ping6 -c 1 wikitech.wikimedia.org
PING wikitech.wikimedia.org(silver.wikimedia.org) 56 data bytes
64 bytes from silver.wikimedia.org: icmp_seq=1 ttl=59 time=73.7 ms
...
(shell) iceweasel https://wikitech.wikimedia.org/
...

Well done. Thank you very much.

Krenair closed this task as Resolved.Jun 5 2015, 2:03 PM
alex@alex-laptop:~$ ssh alex-vps ping6 wikitech.wikimedia.org
PING wikitech.wikimedia.org(silver.wikimedia.org) 56 data bytes
64 bytes from silver.wikimedia.org: icmp_seq=1 ttl=55 time=6.98 ms

Looks good.